CHECKPKG(1)

BEZEICHNUNG
checkpkg - Vergleicht das aktuell gebaute Paket mit der Version aus dem Repositorium

ÜBERSICHT

checkpkg

BESCHREIBUNG

Sucht nach lokal gebauten Paketen, die PKGBUILD entsprechen, und lädt die neuste Version dieses Paket aus den Pacman-Repositorien herunter. Es vergleicht dann die Liste der bereitgestellten .so-Dateien für jede Version des Pakets und gibt aus, falls es Soname-Unterschiede zu dem neuen Paket gibt. Es wird auch ein Verzeichnis mittels mktemp(1) erstellt, worin Dateien sind, die eine Dateiliste für beide Pakete und eine Bibliotheksliste für beide Pakete enthalten.

OPTIONEN

-r, --rmdir
    Entfernt das erstellte temporäre Verzeichnis, das die Datei- und Bibliothekslisten von beiden Paketen enthält.

-w, --warn
    Gibt bei Soname-Unterschieden eine Warnung anstelle der regulären Meldung aus.

-M, --makepkg-config
    Setzt eine alternative Konfigurationsdatei für makepkg(8).

-h, --help
    Zeigt einen Hilfetext an.

SIEHE AUCH

find-libprovides(1)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.